Ver Feed RSS

acris

saga do BB parte 1

Avalie este Post de Blog
Dizer parte 1 é ser otimista: quero que essa coisa funcione e logo. Meu desejo, depois de um mês tentando fazer o site do Banco do Brasil identificar meu notebook (que antes do upgrade para o ubuntu 8.10 era identificado normalmente, sem problemas), era escrever um tutorialzinho para contar para vocês como faz (ah, seria chique, não seria?).
Bom, hoje meu google já nem faz mais minhas buscas, já sabe o que retornar. E o que ele me conta é que não sou a única e o problema não é o Ubuntu, mas o java 1.6.
Liguei para o suporte do banco. Se eu usasse Windows a atendente resolveria meu problema. Não sabia. O suporte técnico, então, me ligou e outra atendente disse que o problema era incompatibilidade do sistema com o java que o Ubuntu traz consigo, o openjdk. Disseram que eu deveria desinstalar esse java e instalar o java5 usando o próprio sistema do meu linux (no caso, eu uso o aptitude).
Boa menina, fui fazer a coisa certa: se a questão é instalar o java da SUN, então porque instalar o java 5 se já temos o 6 disponível, corrigindo inclusive questões de segurança?
Dá até gastura falar nisso. Sorte que eu sou uma pessoa com tooooodo tempo livre do mundo e fiquei absolutamente relaxaaaaaaaada com os milhões de tentativas frustradas, inclusive instalando o bendito java5. Cadê o meu calmante?
Eu sou fã de software livre. E tenho o Banco do Brasil como uma das minhas referências para isso. Mas para mim softwre livre é sinônimo de transparência e competência. Cadê?
A questão é que hoje - na parte 1, espero... - eu tenho instalado bonitinho o java 1.6, com tudo funcionando, menos o Banco do Brasil.
E tenho na minha caixa de e-mail a seguinte mensagem do banco:

From: Banco do Brasil
To: Ana Matte
Sent: Thursday, March 5, 2009 8:27:55 PM
Subject: Ouvidoria BB - ANA CRISTINA FRICKE MATTE


Prezada Sra Ana Cristina, Inicialmente

agradecemos o contato. O Auto-

Atendimento Banco do Brasil pela

Internet funciona com sistemas

operacionais Linux, arquitetura 32 bits,

que utilizem: - Firefox 2

e máquina virtual Java da Sun, versão 1

5 ou 1.6 - Firefox 3 e

máquina virtual Java da Sun, versão 1.5

O Firefox 3 ainda não

está funcionando com a versão 1.6

devido a alguma incompatibilidade que

ainda estamos identificando.

Estamos trabalhando

ininterruptamente para a solucao de

forma definitiva e o mais rapido

possivel para resolver esses problemas.

Atenciosamente, Suporte Técnico BB



Para novo contato, acesse a página do Banco do Brasil
na Internet e clique em Ouvidoria BB, ou telefone para 0800-7295678


Uai! o problema não era o openjdk? agora é o firefox? é o java da sun?

Qual é a solução? Usar um java bugado para acessar minha conta corrente? Usar um firefox menos seguro? Ou devo instalar o IEca no meu linux para acessar a conta?

Gente, eu não sou programadora mas sei muito bem o que é fazer debug em programa: se tem problema, senta e resolve. Demora? É chato? Mas não depende de sorte! Depende de trabalho. O Banco do Brasil deve isso a nós clientes.
Categorias
Não Categorizado

Comentários

  1. Avatar de Magnun
    Olá acris,

    Tive o mesmo problema que você (e todo o resto que usa ubuntu+BB). E também obtive a mesma resposta: Usar o java da SUN. Em outras buscas vi algumas pessoas falando que algumas extensões do firefox ajudam a travar o navegador durante a autenticação. Dentre as extensões citadas estava o AdBlock Plus.

    Depois de inúmeras tentativas não consegui também. Ai acabei usando o java sem ser da SUN e funcionou. Só que o mais curioso é que, quando fui realizar o mesmo processo no PC da minha noiva, não funcionou. Não sei se é porque o Ubuntu dela é o 8.04 (e meu é 8.10).

    Assim que poossível confirmo pra você o nome da máquina virtual que utilizo pra você testar!

    até mais...
  2. Avatar de acris
    será que voce vai resolver o problema que o BB não conseguiu?
    seria ótimo!
  3. Avatar de Magnun
    Olha só acris...

    Aqui to com o java-6-openjdk...

    Se vc ainda tiver usando o da SUN troca com o seguinte comando:
    sudo update-alternatives --config java

    Se não me engano instalei esse plugin tmb: icedtea-gcjwebplugin

    Acho que só...
  4. Avatar de sergio
    Acris,

    uso Ubuntu 8.10, java sun 6, FF 3.06. Após a instalação do java sun, utilize:

    sudo update-alternatives --config java

    e verifique qual java está como preferencial (deve ser o sun).
  5. Avatar de Magnun
    O legal é que todo mundo recomenda usar o java da SUN:

    - desinstala o pacote: icedtea-gcjwebplugin ( comando sudo apt-get remove icedtea-gcjwebplugin )
    - instala o java assim (se já não estiver instalado): sudo apt-get -y install sun-java6-bin sun-java6-fonts sun-java6-jre sun-java6-plugin ou reinstala

    - e digita o comando: sudo update-alternatives --config java para escolher o java da sun recém instalado e não o OpenJDK .



    Fonte: OpenJDK, Hardy Heron e Banco do Brasil

    Lembro que fiz isso mas depois de uns dias parou de funcionar. Ai voltei pro openJDK e ta até hoje!

    Esses post é de junho. Na época o 8.10 ainda não tinha saído! É provável que no 8.10 tenha tido alguma alteração...
  6. Avatar de Magnun
    lembrando de restartar o ff
  7. Avatar de sergio
    Magnum, aqui funcionava com o openjdk, mas como precisava acessar outras porcarias que são bem piores que o BB e não funcionam nem a paulada com o openjdk, meti o pé nele e usei o sun mesmo.
  8. Avatar de acris
    Moçada, agradeço as dicas, aprendi com elas, mas nada resolveu.

    Bom, openjdk funciona em tudo mas não identifica o computador no sistema do BB. Dá erro num arquivo do java.
    O Java 6 idem.
    O tal do icedtea não estava instalado.
    O java5 não tem pra 32b. Eu preciso da integridade da memória do meu note, não abro mão de ter todos os programas em 64b.
    O problema continua sendo do BB: precisa de solução.
    E pra ontem: computadores 64 bits não são mais novidade. E o java6 daqui a pouco já vira 7...
  9. Avatar de Magnun
    Seu pc é 64bits?! Isso muda toda a história....
  10. Avatar de blackheaven
    Bem, uma vez tive problema pra acessar o BB pq tanto o java da SUN e o OpenJDK estavam configurados pro firefox ( com um about: plugins dá pra ver isso ). Foi só retirar os links de um dos dois na pasta de plugins do firefox e deu tudo certo. No momento uso o Ubuntu ( 32 bits), Firefox 3 e java da sun 1.6, tudo funcionando direitinho...
    Atualizado 12-03-2009 em 13:37 por blackheaven (não era about:config e sim about:plugins)
  11. Avatar de acris
    Dei uma olhada. De java só tenho isso no about:config

    java.default_java_location_others;/usr/java
    java.default_java_location_solaris;/usr/j2se
    java.global_java_version_file;/etc/.java/versions
    java.java_plugin_library_name;javaplugin_oji
    java.private_java_version_file;~/.java/versions
    javascript.allow.mailnews;false
    javascript.enabled;true
    javascript.options.relimit;false
    javascript.options.showInConsole;false
    javascript.options.strict;false

    Acho que não tem duplicidade. To me conformando que, enquanto o pessoal do banco nao resolver a incompatibilidade do programa no firefox3 com java1.6 no 64b continuarei sem acesso. Sorte que tenho outra maquina para acessa r(mesma versao de ubuntu, mesmo firefox, mesmo java mas arquitetura 32b), senao tava perdida.
  12. Avatar de Renan Manola
    Para funcionar no meu gentoo 64bits, eu instalei o firefox de 32 bits e um java 1.6 de 32 bits emulado para SO de 64 bits (emul-linux-x86-java). Então, sempre que quero usar o site do BB para ele reconhecer meu PC, eu uso o firefox de 32 bits.

    Abraços.

+ Enviar Comentário



Visite: BR-Linux ·  VivaOLinux ·  Dicas-L